Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Не удается установить актуальные драйвера Nvidia в Ubuntu 20.04 с новым ядром  (Прочитано 4235 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн webhead

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
    • Просмотр профиля
После прилетевшего обновления ядра перестали стартовать иксы, т.к. из системы пропали проприетарные драйвера nvidia, пришлось переключиться на xorg'вские.
5.8.0-36-generic #40~20.04.1-Ubuntuubuntu-drivers devices
== /sys/devices/pci0000:00/0000:00:02.0/0000:01:00.0 ==
modalias : pci:v000010DEd00000A65sv00001043sd0000853Bbc03sc00i00
vendor   : NVIDIA Corporation
model    : GT218 [GeForce 210]
driver   : nvidia-340 - distro non-free recommended
driver   : xserver-xorg-video-nouveau - distro free builtin
sudo ubuntu-drivers autoinstall выдает
(Нажмите, чтобы показать/скрыть)
Пакет с драйверами был подключен: sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get --fix-broken install не помогает.
То есть стандартным образом накатить 390-ую версию или более новую - не получается. А 340-ые не работают, при попытке переключения на них система выдает ошибку. С нативными nouveau самая существенная проблема - выход из слип-режима, система наглухо фризится, то есть пользоваться этой фичей нет никакой возможности, чего с проприетарными не происходило.
Пробовал устанавливать принудительно через sudo apt-get install nvidia-390, но тогда в "Программах и компонентах" появляется включенная опция "Драйверы, установленные вручную" (без какого-либо намека на nvidia), которая криво работает в убогом разрешении.
Провозился вчера пол дня, гуглил, экспериментировал, но так и не смог добиться, чтобы система корректно подхватила рабочие драйвера. Как быть? Прошу помощи. Заранее спасибо за советы.
« Последнее редактирование: 11 Январь 2021, 17:57:18 от webhead »

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13771
  • Xubuntu 18.04
    • Просмотр профиля
Вот только сегодня два раза без каких-либо проблем поставил драйверы 390 На 20.04 с ядром 5.8.

Просто выполнил команду

sudo apt install nvidia-driver-390
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн webhead

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
    • Просмотр профиля
У меня это не прокатывает, увы:( Ни sudo apt install nvidia-390, ни sudo apt install nvidia-440, ни sudo apt install nvidia-450.
На другом компе с более старым железом nvidia-390 после танцев с бубном установились и работают.
С помощью sudo ubuntu-drivers autoinstall никакой нет возможности подпихнуть правильные драйвера?

Оффлайн fuss

  • Старожил
  • *
  • Сообщений: 2074
    • Просмотр профиля
    • Screenshoter
340 ты не поставишь т.к. после релиза hwe ядра их нет собранных. уже в двух темах говорилось. 390 точно поддерживает видео-карта? судя по предложенному самой системой, крайняя версия для видюхи 340

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13771
  • Xubuntu 18.04
    • Просмотр профиля
webhead,

Вы видите разницу между "nvidia-390" и "nvidia-driver-390"?
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн webhead

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
    • Просмотр профиля
Может быть я уже перепутал что-то с версиями, т.к. восстанавливаю работу нескольких компов почти одновременно и только с основным - рабочим такая засада. Сейчас чекнул на сайте NVIDIA, действительно, для GeForce 210 поиск драйверов выдает только вот это:
Version:   340.108
Release Date:   2019.12.23
Operating System: Linux 64-bit
Получается, под это ядро сейчас ничего новее и не поставить? И что теперь делать, ждать когда проапдейтят драйвера или карточку менять? Специально брал с пассивным охлаждением малошумную чисто для работы.

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 13771
  • Xubuntu 18.04
    • Просмотр профиля
И что теперь делать, ждать когда проапдейтят драйвера или карточку менять?
А что мешает использовать без проприетарного драйвера? Эти карточки вполне нормально работают с nouveau.
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн webhead

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
    • Просмотр профиля
А что мешает использовать без проприетарного драйвера? Эти карточки вполне нормально работают с nouveau.
Я написал в первом посте, что с ними система не выходит из слип-режима. Совсем. И сегодня был полный фриз на ровном месте во время работы компа, с запущенным браузером, мейлером и Телегой всего лишь. Может быть, последнее - всего лишь совпадение, но отправлять комп в сон и в любой момент почти мгновенно продолжить работу - опция, от которой я не готов отказаться.
Цитата: Pilot6
Вы видите разницу между "nvidia-390" и "nvidia-driver-390"?
Честно говоря, не очень. На втором компе 390-ые драйвера накатил именно этой командой. Проверил сейчас - та видяха поддерживается в 390.141 (Release Date:   2021.1.7). Ну, теперь-то хоть стало понятно, что у меня с основным-то не так пошло.

Пользователь добавил сообщение 11 Январь 2021, 16:56:23:
Махнул видяху GT218 на GT520, 390-ые проприетарные драйвера встали без проблем и корректный выход из слип-режима вернулся. Правда, эта карта заметно шумнее, но что делать, из двух зол теперь приходится выбирать меньшее. Интересно, есть ли шанс, что Nvidia на 200 серию проапдейтит драйвера под Линь? :o Я бы тогда вернул все железо обратно.
« Последнее редактирование: 11 Январь 2021, 18:04:50 от webhead »

Оффлайн fuss

  • Старожил
  • *
  • Сообщений: 2074
    • Просмотр профиля
    • Screenshoter
Получается, под это ядро сейчас ничего новее и не поставить? И что теперь делать, ждать когда проапдейтят драйвера или карточку менять? Специально брал с пассивным охлаждением малошумную чисто для работы.
Ну пока был только один способ. Удалить 5.8 ядро, в система остаеться 5.4 и под него ставить дрова. Сам сижу пока на nouveau, лагает не плохо так) Обновить конечно могут, это не первый случай. Вопрос только сколько времени пройдет

Пользователь добавил сообщение 11 Январь 2021, 21:38:09:
Решение для драйверов 340 нашел пока что только одно для нового ядра. Установить их с этого ppa
https://launchpad.net/~kelebek333/+archive/ubuntu/nvidia-legacy
Проверил, работает на 5.8
« Последнее редактирование: 11 Январь 2021, 21:38:09 от fuss »

Оффлайн webhead

  • Автор темы
  • Новичок
  • *
  • Сообщений: 41
    • Просмотр профиля
Решение для драйверов 340 нашел пока что только одно для нового ядра. Установить их с этого ppa
О, круто, надо будет попробовать. Спасибо.

Оффлайн Valery_486

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Решение для драйверов 340 нашел пока что только одно для нового ядра. Установить их с этого ppa
https://launchpad.net/~kelebek333/+archive/ubuntu/nvidia-legacy
Проверил, работает на 5.8

5.12.0-14.2-liquorix-amd64 поставил Работает (mint). Огромное спасибо!

Оффлайн PAKJIO

  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Товарищи, всем доброго вечера. Пользуясь случаем,дабы не создавать новую тему, есть вопрос по установке драйвера nvidia на моем ноуте. Полазил тут на форуме по гайдам,что-то мне ничего не помогает. У меня при скачивании пакетов есть проблема с их последующей распаковкой, как я понял. При выполнении команды sudo apt-get -f install выдает вот такую информацию:

(Чтение базы данных … на данный момент установлено 237635 файлов и каталогов.)
Подготовка к распаковке …/libnvidia-gl-470_470.63.01-0ubuntu0.20.04.2_amd64.deb …
Распаковывается libnvidia-gl-470:amd64 (470.63.01-0ubuntu0.20.04.2) на замену (470.57.02-0ubuntu0.20.04.1) …
dpkg-deb (подпроцесс): разжимающий элемент архива: ошибка lzma: сжатые данные повреждены
dpkg-deb: ошибка: <decompress> subprocess returned error exit status 2
dpkg: ошибка при обработке архива /var/cache/apt/archives/libnvidia-gl-470_470.63.01-0ubuntu0.20.04.2_amd64.deb (--unpack):
 не удалось скопировать извлечённые данные «./usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.470.63.01» в «/usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.470.63.01.dpkg-new»: неожиданный конец файла или потока
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libnvidia-gl-470_470.63.01-0ubuntu0.20.04.2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Можно ли как-то удалить этот пакет и поставить попробовать его заново?
« Последнее редактирование: 13 Октябрь 2021, 14:42:25 от Aleksandru »

Оффлайн Valery_486

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Совсем недавно так-же ломал голову. Помогла статья https://qastack.ru/ubuntu/206283/how-can-i-uninstall-a-nvidia-driver-completely
« Последнее редактирование: 13 Октябрь 2021, 14:38:17 от Valery_486 »

 

Страница сгенерирована за 0.182 секунд. Запросов: 26.